Bug 188326 - security/AllowRemoteAutoLogin not type STRING
security/AllowRemoteAutoLogin not type STRING
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-04-07 17:22 EDT by William Baker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-20 15:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description William Baker 2006-04-07 17:22:05 EDT
Description of problem:

The gdm file slave.c references GDM_ALLOW_REMOTE_AUTO_LOGIN as a STRING, 
message is logged to SYSLOG.  This is critical - Remote Auto Login is broken.

Version-Release number of selected component (if applicable): gdm-2.14.0-1 
How reproducible: 100%

Steps to Reproduce:

1. Create the user "remote"
2. Use the following custom.conf segment to enable automated remote login

[daemon]
RemoteGreeter=/usr/libexec/gdmgreeter
TimedLoginEnable=true
TimedLogin=remote
TimedLoginDelay=5

[security]
RetryDelay=3
AllowRemoteLogin=true
AllowRemoteAutoLogin=true

[xdmcp]
Enable=true

2.  Connect to the gdm server using startx -- -query (remote host)
  
Actual results:  Authentication failure
Expected results:  Successful login.
Comment 1 Andrew 2006-05-10 12:00:14 EDT
Could someone please apply this one-line patch for Fedora Core 5 RPMs?

http://cvs.gnome.org/viewcvs/gdm2/daemon/slave.c?rev=1.328&view=log
1.325.2.3
2006-05-04  Brian Cameron  <brian.cameron@sun.com>

        * daemon/slave.c: Fix reference to the security/AllowRemoteAutoLogin
          so it is accessed as a boolean, not a string.  Fixes remote
          autologin so it works again.
Comment 2 Andrew 2006-06-05 11:35:52 EDT
GDM 2.14.6 has the fix.  (FC5's latest GDM is 2.14.4, so the bug still exists in
FC5.)
Comment 3 Andrew 2006-07-06 18:48:58 EDT
Recent gdm updates to Fedora Core 5 have fixed this issue, so you may want to
close it.

Note You need to log in before you can comment on or make changes to this bug.